use std::io::Cursor;

use anyhow::Result;

use crate::packets::{Encode, Packet, Decode};


pub struct StatusPingRequestPacket {
    pub payload: i64,
}

impl Decode for StatusPingRequestPacket {
    fn decode(cursor: &mut Cursor<&[u8]>) -> Result<Self> {
        let payload = i64::decode(cursor)?;

        Ok(StatusPingRequestPacket { payload })
    }
}

impl Encode for StatusPingRequestPacket {
    fn encode(&self, buffer: &mut Vec<u8>) -> Result<()> {
        self.payload.encode(buffer)
    }
} 

impl Packet for StatusPingRequestPacket {
    fn get_id(&self) -> i32 {0x01}
}
